class CargoDist < Formula
  desc "Shippable application packaging for Rust"
  version "0.12.0-prerelease.2"
  on_macos do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_aGvWu4TgRrVzelhetv73y/cargo-dist-aarch64-apple-darwin.tar.xz"
      sha256 "d2854443a1f4f8c0b8cdb8f704b5559686e9337853388f93bc060d12c8793a83"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_aGvWu4TgRrVzelhetv73y/cargo-dist-x86_64-apple-darwin.tar.xz"
      sha256 "40d49f2900edc53095babb3e6cf1dff42d4720cb55bdeb09fd179577778c035c"
    end
  end
  on_linux do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_aGvWu4TgRrVzelhetv73y/cargo-dist-aarch64-unknown-linux-gnu.tar.xz"
      sha256 "490d6b3d22aca029f27eaccef3dae928394f2282b44651d27988964d0116df76"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_aGvWu4TgRrVzelhetv73y/cargo-dist-x86_64-unknown-linux-gnu.tar.xz"
      sha256 "43eec0ed04449eb5a33123e5e2d4b5afa987d94af786516c85b53d8f468f3d5e"
    end
  end
  license "MIT OR Apache-2.0"

  def install
    on_macos do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_macos do
      on_intel do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_intel do
        bin.install "cargo-dist"
      end
    end

    # Homebrew will automatically install these, so we don't need to do that
    doc_files = Dir["README.*", "readme.*", "LICENSE", "LICENSE.*", "CHANGELOG.*"]
    leftover_contents = Dir["*"] - doc_files

    # Install any leftover files in pkgshare; these are probably config or
    # sample files.
    pkgshare.install *leftover_contents unless leftover_contents.empty?
  end
end
